Ubuntu 7.04 "Feisty Fawn" 日本語ローカライズ版

  • ページ: 動作報告
  • 投稿者: anonymous?
  • 状態: 成功
  • ptetexバージョン:20070522
  • 投稿日: 2007-06-05 (火) 13:18:34

必要パッケージ

flex bison build-essential 
libncurses5-dev x11proto-print-dev libmotif-dev
libxaw6-dev libxpm-dev libfreetype6-dev gs

事前に http://tmcosmos.org/linux/ubuntu/ubuntu704.html を参考にpTeX関係のパッケージをインストールしているので、 それらのうちから必要なものもあるかもしれません。

my_option

デフォルト

メッセージ

make test時に-dNOKANJIで日本語フォントが埋め込まれて云々というメッセージが表示されただけで、あとは問題なく終了しています。また-dNOKANJIのテスト中はマウスカーソルを動かすのも辛くなるほど重くなります。

あと、beamerクラスを使った場合うまくPDF化できません。

  • ptetex3のplatexとdvipdfmxを使った場合、dvipdfmx時に大量のWarning(Unknown token "nulldevice"など)が出てPDFは作成されますが、pauseなどの挙動がおかしくなります。
  • aptからインストールしたpTeXとdvipdfmxを使った場合は、問題なく動作します。
  • aptからインストールしたpTeXのplatexコマンドとptetex3のdvipdfmxを使った場合も問題なく動作します。
  • ptetex3のplatexコマンドと、aptからインストールしたdvipdfmxを使った場合は、ptetex3オンリーのときと同じ結果になります。

  • 同梱されているbeamerのバージョン(3.01)が古かったのが原因だったようです。最新版(3.07)とpgf,xcolorを/usr/local/teTeX/share/texmf-local/tex以下に、pTeXのと同じ形になるようにインストールすれば無事動作しました。 -- 2007-06-05 (火) 16:52:56
  • 出遅れてしまってすいません。beamer が古いという話は時々いただくので、ptetex3 での更新も考えてみます。 -- 土村 2007-06-06 (水) 12:55:47
  • こちらこそバージョンを確認せずに投稿してしまってすいません。 -- 2007-06-09 (土) 20:52:24
  • 別のシステムに今度はpTeX関係のパッケージをインストールする前に20070606をインストールしてみましたが、エラーは発生しませんでしたのでpTeX関係のパッケージは必要ないと思われます。 -- 2007-06-09 (土) 20:53:33
  • また今回は-dNOKANJIのテスト時に"'gs' seem to embed..."という警告は表示されませんでした。ただし、-dNOKANJIのテスト中は30分ほどHDDをガリガリやる状態が続きましたので少し気になります(CeleronM1.8GHz/512MBなノートPC)。 -- 2007-06-09 (土) 20:56:37

トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2010-01-22 (金) 22:26:22 (2737d)